[android-components](../../../index.md) / [mozilla.components.feature.sitepermissions](../../index.md) / [SitePermissionsFeature](../index.md) / [DialogConfig](./index.md)

# DialogConfig

`data class DialogConfig` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/sitepermissions/src/main/java/mozilla/components/feature/sitepermissions/SitePermissionsFeature.kt#L498)

Customization options for feature request dialog

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `DialogConfig(shouldPreselectDoNotAskAgain: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)` = false)`<br>Customization options for feature request dialog |

### Properties

| Name | Summary |
|---|---|
| [shouldPreselectDoNotAskAgain](should-preselect-do-not-ask-again.md) | `val shouldPreselectDoNotAskAgain: `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)<br>Use **true** to pre-select "Do not ask again" checkbox. |
